{
  "extends": "@tsconfig/node16/tsconfig.json",
  "include": [
    "./src/"
  ],
  "compilerOptions": {
    "incremental": true,
    "tsBuildInfoFile": "./build/.tsbuildinfo",
    "target": "ESNext",
    "lib": [
      "ES2015",
      "ES2016",
      "ES2017",
      "ES2018",
      "ES2019",
      "ES2020",
      "ES2021",
      "ESNext",
      "DOM"
    ],
    "noLib": false,
    "module": "ESNext",
    "rootDir": "./src/",
    "moduleResolution": "node",
    "baseUrl": "./",
    "paths": {},
    "rootDirs": [],
    "typeRoots": [],
    "types": [
      "node"
    ],
    "resolveJsonModule": true,
    "allowJs": false,
    "checkJs": false,
    "declaration": true,
    "declarationMap": true,
    "emitDeclarationOnly": false,
    "sourceMap": false,
    "outDir": "./build/",
    "removeComments": true,
    "noEmit": false,
    "importHelpers": false,
    "importsNotUsedAsValues": "remove",
    "downlevelIteration": false,
    "inlineSourceMap": true,
    "inlineSources": true,
    "emitBOM": true,
    "newLine": "lf",
    "noEmitHelpers": true,
    "noEmitOnError": true,
    "preserveConstEnums": false,
    "declarationDir": "./build/declarations/",
    "isolatedModules": false,
    "allowSyntheticDefaultImports": true,
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "strict": true,
    "noImplicitAny": true,
    "strictNullChecks": true,
    "strictFunctionTypes": true,
    "strictBindCallApply": true,
    "strictPropertyInitialization": true,
    "noImplicitThis": true,
    "useUnknownInCatchVariables": true,
    "alwaysStrict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "exactOptionalPropertyTypes": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "noUncheckedIndexedAccess": true,
    "noImplicitOverride": true,
    "noPropertyAccessFromIndexSignature": true,
    "allowUnusedLabels": false,
    "allowUnreachableCode": false,
    "skipDefaultLibCheck": true,
    "skipLibCheck": true
  }
}